[Pkg-jed-commit] r297 - trunk/packages/jed-extra/utils

Guenter Milde milde-guest at costa.debian.org
Tue May 23 08:06:00 UTC 2006


Author: milde-guest
Date: 2006-05-23 08:06:00 +0000 (Tue, 23 May 2006)
New Revision: 297

Modified:
   trunk/packages/jed-extra/utils/build-from-svn-copy.sh
Log:
Moved the cp of the orig source tar from local copy from rules (removed
there by JS) to the util script build-from-svn-copy.sh


Modified: trunk/packages/jed-extra/utils/build-from-svn-copy.sh
===================================================================
--- trunk/packages/jed-extra/utils/build-from-svn-copy.sh	2006-05-22 21:05:52 UTC (rev 296)
+++ trunk/packages/jed-extra/utils/build-from-svn-copy.sh	2006-05-23 08:06:00 UTC (rev 297)
@@ -1,14 +1,27 @@
 #!/bin/sh
-# This is an experimental script that helps me test-build jed-extra
+# This is an experimental script that helps test-build jed-extra
+# even on a computer not connected to the internet.
 # (c) 2005 Guenter Milde
 
 # Build the jed-extra package from existing working copy of SVN files
 # 
-# Call this script from <pkg-jed SVN>/trunk/packages/jed-extra/utils/ 
-# (this should be the dir where this file resides)
 
-cd ..
+if [ `pwd | egrep '/utils$'` ]; then
+  cd ..
+fi  
 
+if [ `pwd | egrep '/debian$'` ]; then
+  cd ..
+fi  
+
+if [ ! `pwd | egrep '/jed-extra$'` ]; then
+  echo "Call this script from 
+        <pkg-jed SVN>/packages/jed-extra/utils/ (where this file resides),
+        <pkg-jed SVN>/packages/jed-extra/debian/, or 
+        <pkg-jed SVN>/packages/jed-extra/"
+  exit 1
+fi  
+
 # upstream version
 VER=`perl -ne '/\(([\d.]+)-/; print $1; exit' < debian/changelog`
 
@@ -20,8 +33,14 @@
 # Get the upstream tarball
 # ------------------------
 
-# If there is no jed-extra_$VER.orig.tar.gz, download (see debian/rules)
+# If there is no jed-extra_$VER.orig.tar.gz, copy or download 
+# (see also debian/rules)
 
+# TODO: move the file, if it is newer
+# if [ -e ~/.jed/jedmodes/src/jedmodes-$(VER).tgz ]; then \
+#     cp ~/.jed/jedmodes/src/jedmodes-$(VER).tgz .; \
+# fi
+
 debian/rules get-orig-source
 
 # Unpack
@@ -31,6 +50,11 @@
 rm -Rf jedmodes-$VER
 tar -xzf jed-extra_$VER.orig.tar.gz
 
+# Remove old patches
+# ------------------
+
+# TODO
+
 # Copy the debian/ subdir to the source tree
 # ------------------------------------------
 install -d jedmodes-$VER/debian




More information about the Pkg-jed-commit mailing list